%define ver    1.2.1
%define rel 2mdk
%define _prefix /usr

Summary: Swedish files for ispell
Name: ispell-sv
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source0: http://sslug.ipt.dtu.dk/ispell/iswedish/iswedish-1.2.1.tar.bz2
URL: http://www.sslug.dk/locale/ispell/iswedish/swedish.html
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-sv
Obsoletes: iswedish
Obsoletes: ispell-swedish
Provides: ispell-dictionary

%description
ispell-sv has the spelling data for Swedish which is used by
the ispell program. With this extension, you can compose a document
in Swedish and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%prep
%setup -n iswedish-%{version}

%build

buildhash svenska.datalista svenska.aff svenska.hash

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
cp *.aff *.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/

# make links for compatibility with LaTeX babel 
(
  cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ;
  ln svenska.aff swedish.aff ; ln svenska.hash swedish.hash 
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc COPYING Copyright LaeSMIG *.html
/%{_prefix}/lib/ispell/*

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.1-2mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

